//===============================
// UltraVncAxGlobalConstructor.h
//===============================

#pragma once

/////////////////////////////////////////////////////////////////////////////

#include "CCritSec.h"
#include "Helpers.h"

/////////////////////////////////////////////////////////////////////////////

class CUltraVncAxGlobalConstructor
{
public:

	// destruction.
	virtual ~ CUltraVncAxGlobalConstructor ();

public:

	// methods.
	VOID Construct ( HINSTANCE hInst );
	BOOL NewConnection ( CONST CHAR* pszHost );
	VOID ProcessKeyEvent( HWND hwnd, WPARAM wParam, LPARAM lParam );
	charstring ExecuteCommand( HWND hwnd, charstring& csCmdText, BOOL& bIsErr );

protected:

	// data.
	CCriticalSection				m_csConstructAccess;
};

/////////////////////////////////////////////////////////////////////////////
